EDIT - bug #10269

Selecting existing name for typification
03/10/2023 11:38 AM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.36

Severity: blocker Found in Version:

Description

Rights: User

Action: User wants to provide a new type for an existing scientific name

Here: in Testsystem:

User wants to use an existing name to insert a new lecto-, neo- or epitype designation in a current workingset.

This is not anymore blocked because the user gets only the the form for the existing name.

Bug: the name is shown but without reference, thus the name cannot be used as is (see Navicula brekkaensoides)

Because the reference and reference detail is already in the system, it should be possible to include this name into the dataset (by
save) to link a new type to it.

It is expected to have a button "save" to be availabele to use the given name for a new typification.

This bug is a follow up to the main description of #10167 but also is related to #10268.

Related issues:

Related to EDIT - bug #10167: Selecting an existing name and adding a new jou... Closed
Related to EDIT - task #10268: Selecting an existing name as basionym In Progress
Copied to EDIT - bug #10301: Allow curators to edit missing name informations Rejected

Associated revisions

Revision 81e29f64 - 03/23/2023 11:36 PM - Andreas Miiller

fix #10269 fix name should not be selectable for typification if not complete

Revision 57d850e - 03/28/2023 03:33 PM - Andreas Miiller

ref #10269 change color for warning from tomato to red

History

#1 - 03/10/2023 11:45 AM - Andreas Miiller

- Related to bug #10167: Selecting an existing name and adding a new journal does not work for phycobank registration added

#2 - 03/10/2023 03:27 PM - Wolf-Henning Kusber

The issue is more a data issue, NOT related to #10167

| was not aware that the given example has a reference in the production system but has not in the test system.

However, if a user wants to use a name without reference, the user should enter the reference before he/she can continue.
The problem: the user with user rights is not able to select given references.

There are douzends (hundred?) species names accidently without references (imported from the IPNI registration 1998/1999) which are basionyms
etc.

The more important problem: All genera have been imported as names without authors/references to be available for new combinations to be
entered, but if a user wish to register the genus name or use the name for typification, this is not possible yet.

#3 - 03/10/2023 03:29 PM - Wolf-Henning Kusber

Testsystem;: User selected genus name "Lepocinclis” and selected the availabele reference "Perty 1849" and got the following exception:
https://dev.e-taxonomy.eu/redmine/issues/10167
https://dev.e-taxonomy.eu/redmine/issues/10268
https://dev.e-taxonomy.eu/redmine/issues/10167
#4 - 03/12/2023 01:27 PM - Andreas Miiller

- Related to task #10268: Selecting an existing name as basionym added

04/20/2024

3/5



#5 - 03/12/2023 01:29 PM - Andreas Miiller

Names without nom. reference can be found via:

SELECT tn.id, tn.titleCache, tn.nameCache, dtb.titleCache rank
FROM TaxonName tn

LEFT JOIN DefinedTermBase dtb ON dtb.id = tn.rank_id

LEFT JOIN OriginalSourceBase osb ON tn.id = osb.sourcedName_id
WHERE osb.citation_id IS NULL

ORDER BY dtb.orderIndex, tn.titleCache, tn.id;

#6 - 03/12/2023 01:40 PM - Andreas Miiller
- Status changed from New to Feedback

- Assignee changed from Andreas Miiller to Wolf-Henning Kusber

List of names with missing nom. ref. sent to WHK. Data needs to be cleaned.
Until then we need to decide how to handle these cases.

To implement the possibility that the user may add the nom.ref. though he has no rights to change the name is possible but time consuming as it is
against the general rights management architecture of the CDM which allows setting rights on single instances (e.g. a name) but not on single
parts(attributes) of an instance (e.g. nom. ref. for a taxon name).

A possible solution could be to implement a warning that the name is incomplete and will be completed by the curator during the curation process.
This should be relatively easy to implement.

#7 - 03/17/2023 11:46 AM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Miiller
WHK: no changes in the user-rights, the references of stored names (as names only) should be completed on the PhycoBank side at B.

AM: A possible solution could be to implement a warning that the name is incomplete and will be completed by the curator during the curation
process. This should be relatively easy to implement.

WHK: This is the only way to proceed. But my question is: Do we allow submitters to continue???.
Currently it is not possibel to bring a name without reference in a registration working set. In this case, the data entry by the submitter would be

abordet with a message:
"Scientific name currently not available, please contact the PhycoBank curator to solve this issue" or something simliar.

#8 - 03/22/2023 11:15 PM - Andreas Miller

Wolf-Henning Kusber wrote in #note-7:

WHK: This is the only way to proceed. But my question is: Do we allow submitters to continue???.

Currently it is not possible to bring a name without reference in a registration working set. In this case, the data entry by the submitter would be
abordet with a message:
"Scientific name currently not available, please contact the PhycoBank curator to solve this issue" or something simliar.

So what needs to be done? | can't implement questions but only given requirements. Is it wanted to abort the registration or is it wanted to allow to
continue?

#9 - 03/23/2023 12:08 AM - Wolf-Henning Kusber

In any case the curator has to fix the problem.
Currently the data entry by the submitter is aborted and the submitter is lost.

Therefore the following requirement:

If a name is selected that has no author and/or reference an error message should occur:

The data entry is aborted due to a data issue that should be fixed by the curator. Please send a mail with the scientific name to curation at
phycobank.org

This should be the easiest procedure, correct?

#10 - 03/23/2023 11:37 PM - Andreas Miiller
- Status changed from Feedback to Resolved

- % Done changed from 0 to 70
Applied in changeset cdm-vaadin|81e29{64521293{86c78c6deb172a9b7c3ac0f89.

#11 - 03/23/2023 11:56 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Wolf-Henning Kusber

- Target version changed from Phycobank ready for submitters to Release 5.36

Please review.

#12 - 03/25/2023 07:33 AM - Andreas Miiller

- Status changed from Feedback to Resolved

#13 - 03/28/2023 01:58 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Mdiller

- % Done changed from 70 to 90

Implemented as expected.
On an small screen the red text is hard to read. Is it possible to set the Warning Bold?

#14 - 03/28/2023 10:46 PM - Andreas Miiller
- Status changed from Resolved to Closed
- % Done changed from 90 to 100

Wolf-Henning Kusber wrote in #note-13:

On an small screen the red text is hard to read. Is it possible to set the Warning Bold?

It was bold already but | used a different red color (tomato). | adapted it to normal red.

Please check if this looks better. | close the ticket already. Please reopen if there is still something left.

#15 - 04/14/2023 03:07 PM - Andreas Miiller
WHK:

viel besser lesbar jetzt, vielen Dank
ABER: Als Curator bekomme ich die selbe Meldung, d.h. der Nachtrag der fehlenden Referenz ist auch fur Curator-Rechte in Vaadin nicht méglich.
AM:

will be done in separate ticket

#16 - 04/14/2023 03:09 PM - Andreas Miiller

- Copied to bug #10301: Allow curators to edit missing name informations added
